
package shub.dpm;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class appmain implements IRemote{
	public static appmain mostCurrent;
	public static RemoteObject processBA;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public appmain() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
	public static void main (String[] args) throws Exception {
		new RDebug(args[0], Integer.parseInt(args[1]), Integer.parseInt(args[2]), args[3]);
		RDebug.INSTANCE.waitForTask();

	}
    static {
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("appmain"), "shub.dpm.appmain");
	}

public boolean isSingleton() {
		return true;
	}
     public static RemoteObject getObject() {
		return myClass;
	 }

	public RemoteObject activityBA;
	public RemoteObject _activity;
    private PCBA pcBA;

	public PCBA create(Object[] args) throws ClassNotFoundException{
		processBA = (RemoteObject) args[1];
		activityBA = (RemoteObject) args[2];
		_activity = (RemoteObject) args[3];
        anywheresoftware.b4a.keywords.Common.Density = (Float)args[4];
        remoteMe = (RemoteObject) args[5];
		pcBA = new PCBA(this, appmain.class);
        main_subs_0.initializeProcessGlobals();
		return pcBA;
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _patid = RemoteObject.createImmutable("");
public static RemoteObject _surl = RemoteObject.createImmutable("");
public static RemoteObject _bs1 = RemoteObject.declareNull("billwrapper.billWrapper");
public static RemoteObject _button1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _button2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _jobname = RemoteObject.createImmutable("");
public static RemoteObject _patname = RemoteObject.createImmutable("");
public static RemoteObject _txtpatnr = RemoteObject.declareNull("anywheresoftware.b4a.objects.EditTextWrapper");
public static RemoteObject _pnlenterpatid = RemoteObject.declareNull("anywheresoftware.b4a.objects.PanelWrapper");
public static RemoteObject _lblpatient = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _timeout = RemoteObject.createImmutable(0L);
public static RemoteObject _dtnow = RemoteObject.createImmutable(0L);
public static RemoteObject _btnsearchpat = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _pattimer = RemoteObject.declareNull("anywheresoftware.b4a.objects.Timer");
public static RemoteObject _starttimer = RemoteObject.declareNull("anywheresoftware.b4a.objects.Timer");
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static shub.dpm.main _main = null;
public static shub.dpm.listdata _listdata = null;
public static shub.dpm.param _param = null;
public static shub.dpm.starter _starter = null;
public static shub.dpm.tempdata _tempdata = null;
public static shub.dpm.about _about = null;
public static shub.dpm.httputils2service _httputils2service = null;
public static shub.dpm.xuiviewsutils _xuiviewsutils = null;
  public Object[] GetGlobals() {
		return new Object[] {"About",Debug.moduleToString(shub.dpm.about.class),"Activity",appmain.mostCurrent._activity,"bs1",appmain.mostCurrent._bs1,"btnSearchPat",appmain.mostCurrent._btnsearchpat,"Button1",appmain.mostCurrent._button1,"Button2",appmain.mostCurrent._button2,"DateUtils",appmain.mostCurrent._dateutils,"dtnow",appmain._dtnow,"HttpUtils2Service",Debug.moduleToString(shub.dpm.httputils2service.class),"JobName",appmain.mostCurrent._jobname,"lblPatient",appmain.mostCurrent._lblpatient,"ListData",Debug.moduleToString(shub.dpm.listdata.class),"Main",Debug.moduleToString(shub.dpm.main.class),"Param",Debug.moduleToString(shub.dpm.param.class),"PatID",appmain._patid,"PatName",appmain.mostCurrent._patname,"PatTimer",appmain.mostCurrent._pattimer,"pnlEnterPatID",appmain.mostCurrent._pnlenterpatid,"Starter",Debug.moduleToString(shub.dpm.starter.class),"StartTimer",appmain.mostCurrent._starttimer,"sURL",appmain._surl,"TempData",Debug.moduleToString(shub.dpm.tempdata.class),"timeout",appmain._timeout,"txtPatNr",appmain.mostCurrent._txtpatnr,"XUIViewsUtils",Debug.moduleToString(shub.dpm.xuiviewsutils.class)};
}
}